[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# THandleStream.Handle

The OS handle of the stream.

## Declaration

Source position: classesh.inc line 1023

`public property THandleStream.Handle : THandle read FHandle;`

## Description

Handle represents the Operating system handle to which reading and writing is done. The handle can be read only, i.e. it cannot be set after the THandlestream instance was created. It should be passed to the constructor THandleStream.Create

## See also

THandleStream |  | Base class for streams that are identified by an OS handle.
THandleStream.Create |  | Create a handlestream from an OS Handle.